List cloud instances

GET/v1/cloud_computing/instances

List all your cloud instances with the help of a GET request sent to /v1/cloud_computing/instances. You can select instances within one location by specifying the query parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

region_id?integer

A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by flavor_id, name and status.

Default"id"

Value in

  • "id"
  • "flavor_id"
  • "name"
  • "status"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/cloud_computing/instances"
[  {    "id": "openZRe7",    "openstack_uuid": "e45f1be8-4fcd-4bbc-bc61-49583b15ed1f",    "status": "ACTIVE",    "name": "name1369",    "region_id": 0,    "region_code": "NL01",    "flavor_id": "101",    "flavor_name": "SSD.1",    "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",    "image_name": null,    "public_ipv4_address": null,    "private_ipv4_address": null,    "local_ipv4_address": null,    "public_ipv6_address": null,    "ipv6_enabled": false,    "gpn_enabled": false,    "created_at": "2026-05-28T07:06:18Z",    "updated_at": "2026-05-28T07:06:18Z",    "backup_copies": 0,    "public_port_blocked": false,    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }]